/* ---------------------------------------------------------- */
/*  kv_mystery.h                                              */
/* ---------------------------------------------------------- */

/*------------------------------------------------------------- */
/** @file
    @brief		KomeVader bonus ship manage
    @author		rerofumi
    @since		Aug.03.2007
*/
/*-----------------------------------------------------
 Copyright (C) 2007 rerofumi <rero2@yuumu.org>
 -  Kome wo kame.
 ------------------------------------------------------*/

#ifndef KV_MYSTERY_H
#define KV_MYSTERY_H

/*-------------------------------*/
/* include                       */
/*-------------------------------*/

/*-------------------------------*/
/* define                        */
/*-------------------------------*/

enum {
  MYSTERY_DONE = 0,
  MYSTERY_HIT
};

/*-------------------------------*/
/* struct                        */
/*-------------------------------*/

/*-------------------------------*/
/* prototype                     */
/*-------------------------------*/


//! {[iX
void kvMysteryInitialize(void);

//! {[iXړ
int kvMysteryTick(void);

//! {[iXƒe̓蔻
int kvMysteryCheckHit(int x, int y);

//! {[iX̓_
int kvMysteryGetScore(void);

//! {[iX̓_pJE^
void kvMysteryAddCount(void);




#endif
