/* ---------------------------------------------------------- */
/*  kv_enemy.h                                                */
/* ---------------------------------------------------------- */

/*------------------------------------------------------------- */
/** @file
    @brief		KomeVader enemy comvoy manage
    @author		rerofumi
    @since		Aug.03.2007
*/
/*-----------------------------------------------------
 Copyright (C) 2007 rerofumi <rero2@yuumu.org>
 -  Kome wo kame.
 ------------------------------------------------------*/

#ifndef KV_ENEMY_H
#define KV_ENEMY_H

/*-------------------------------*/
/* include                       */
/*-------------------------------*/

/*-------------------------------*/
/* define                        */
/*-------------------------------*/

//! Xe[WJn̉
#define ENEMY_WIDTH  140

//! 1ʊJn̓GX^[g
#define ENEMY_HEIGHT  104

#define ENEMY_LAYER 60


enum {
  ENEMY_DONE = 0,
  ENEMY_INVADE,
  ENEMY_HIT_10,
  ENEMY_HIT_20,
  ENEMY_HIT_30,
};

/*-------------------------------*/
/* struct                        */
/*-------------------------------*/

/*-------------------------------*/
/* prototype                     */
/*-------------------------------*/


//! G
void kvEnemyInitialize(int stage);

//! Gړ
int kvEnemyTick(void);

//! G̍ŉʒu
int kvEnemyGetHeight(void);

//! G̐
int kvEnemyGetNum(void);

//! GƒȅՓ˔
int kvEnemyCheckHit(int x, int y);


#endif
